Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class IfsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              oracle.ifs.common.IfsException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class IfsException

extends java.lang.Exception
implements java.lang.Cloneable

An IfsException represents an iFS error condition.

Each IfsException has an integer error code that specifies the type of error encountered.

An IfsException may also have an array of object parameters that can be substituted into a string (obtained from the iFS resource bundle) using `java.text.MessageFormat` to produce a more descriptive, localized error message.

An exception often leads to another higher-level exception, which in turn may result in even higher-level exceptions. Although only the top-level exception is presented to the application by the iFS API, an IfsException keeps track of the underlying, or "nested", exceptions (or more precisely, the nested `java.lang.Throwable`s). For any IfsException, the immediately underlying Throwable can be obtained by calling the method `getNestedThrowable`.

See Also:
  Serialized Form
(Published)

Field Summary
`protected int` | `m_ErrorCode` The error code.
`protected java.lang.Object` | `m_Info` The exception information.
`protected java.lang.String` | `m_InfoDescription` The description (identifer) for the exception information,
`protected java.lang.Throwable` | `m_NestedThrowable` The Throwable that led to this IfsException.
`protected java.lang.Throwable` | `m_OriginatingThrowable` The last Throwable in the chain.
`protected java.lang.Object[]` | `m_Parameters` The error message parameters.
`protected java.lang.String` | `m_RemoteBacktrace` If this IfsException was thrown in a different process, the backtrace in that process; null otherwise.
`protected static boolean` | `s_VerboseMessage` Whether `toString` and `toLocalizedString` produce concise or verbose messages.

Constructor Summary
`IfsException(int errorCode)` Constructs an IfsException.
`IfsException(int errorCode, java.lang.Object[] parameters)` Constructs an IfsException.
`IfsException(int errorCode, java.lang.Object[] parameters, java.lang.String infoDescription, java.lang.Object info)` Constructs an IfsException.
`IfsException(int errorCode, java.lang.Object[] parameters, java.lang.Throwable nestedThrowable)` Constructs an IfsException.
`IfsException(int errorCode, java.lang.Object[] parameters, java.lang.Throwable nestedThrowable, java.lang.String infoDescription, java.lang.Object info)` Constructs an IfsException.
`IfsException(int errorCode, java.lang.Object[] parameters, java.lang.Throwable nestedThrowable, Traceable object)` Constructs an IfsException.
`IfsException(int errorCode, java.lang.Object[] parameters, Traceable object)` Constructs an IfsException.
`IfsException(int errorCode, java.lang.String infoDescription, java.lang.Object info)` Constructs an IfsException.
`IfsException(int errorCode, java.lang.Throwable nestedThrowable)` Constructs an IfsException.
`IfsException(int errorCode, java.lang.Throwable nestedThrowable, java.lang.String infoDescription, java.lang.Object info)` Constructs an IfsException.
`IfsException(int errorCode, java.lang.Throwable nestedThrowable, Traceable object)` Constructs an IfsException.
`IfsException(int errorCode, Traceable object)` Constructs an IfsException.

Method Summary
`boolean` | `containsErrorCode(int errorCode)` Gets whether this IfsException or any nested IfsExceptions have the specified error code.
`IfsException` | `fillInRemoteStackTrace()` Sets the remote backtrace of this IfsException.
`void` | `fillInRemoteStackTrace(java.lang.String backtrace)` Fills in the remote backtrace of this IfsException to the specified string.
`int` | `getErrorCode()` Gets the error code of this IfsException.
`java.lang.Object` | `getInfo()` Gets the exception information.
`java.lang.String` | `getInfoDescription()` Gets the description of the exception information.
`java.lang.String` | `getLocalizedMessage()` Gets the description of this IfsException for the default locale of the Java VM.
`java.lang.String` | `getLocalizedMessage(LibrarySessionInterface session)` Gets the description of this IfsException for the locale of the specified session's Localizer.
`java.lang.String` | `getLocalizedMessage(Localizer localizer)` Gets the description of this IfsException for the locale of the specified Localizer.
`java.lang.String` | `getMessage()` Gets the US English description of this IfsException.
`java.lang.Exception` | `getNestedException()` Deprecated. iFS 9.0 use getNestedThrowable
`IfsException` | `getNestedIfsException(int errorCode)` Gets a nested IfsException that matches the specified error code.
`java.lang.Throwable` | `getNestedThrowable()` Gets the Throwable that led to this IfsException.
`java.lang.Object[]` | `getParameters()` Gets the parameter values for the error message.
`void` | `ignoreObjectNotFoundException()` Re-throw the target exception unless it reflects an "object not found" condition.
`static boolean` | `isVerboseMessage()` Gets whether `toString` and `toLocalizedString` produces verbose messages.
`void` | `printLocalizedStackTrace()` Prints the stack trace of this IfsException to the standard error stream, using the default locale of the Java VM.
`void` | `printLocalizedStackTrace(LibrarySessionInterface session)` Prints the stack trace of this IfsException to the standard error stream, using the locale of the specified session's Localizer.
`void` | `printLocalizedStackTrace(Localizer localizer)` Prints the stack trace of this IfsException to the standard error stream, using the locale of the specified Localizer.
`void` | `printLocalizedStackTrace(java.io.PrintStream stream)` Prints the stack trace of this IfsException to the specified PrintStream, using the default locale of the Java VM.
`void` | `printLocalizedStackTrace(java.io.PrintStream stream, LibrarySessionInterface session)` Prints the stack trace of this IfsException to the specified PrintStream, using the locale of the specified session's Localizer.
`void` | `printLocalizedStackTrace(java.io.PrintStream stream, Localizer localizer)` Prints the stack trace of this IfsException to the specified PrintStream, using the locale of the specified Localizer.
`void` | `printLocalizedStackTrace(java.io.PrintWriter writer)` Prints the stack trace of this IfsException to the specified PrintWriter, using the default locale of the Java VM.
`void` | `printLocalizedStackTrace(java.io.PrintWriter writer, LibrarySessionInterface session)` Prints the stack trace of this IfsException to the specified PrintWriter, using the locale of the specified session's Localizer.
`void` | `printLocalizedStackTrace(java.io.PrintWriter writer, Localizer localizer)` Prints the stack trace of this IfsException to the specified PrintWriter, using the locale of the specified Localizer.
`void` | `printStackTrace()` Prints the stack trace of this IfsException to the standard error stream, using US English.
`void` | `printStackTrace(java.io.PrintStream stream)` Prints the stack trace of this IfsException to the specified PrintStream, using US English.
`void` | `printStackTrace(java.io.PrintWriter writer)` Prints the stack trace of this IfsException to the specified PrintWriter, using US English.
`static void` | `setVerboseMessage(boolean verbose)` Specifies whether `toString` and `toLocalizedString` produces verbose messages.
`java.lang.String` | `toLocalizedString()` Represents this IfsException as a localized string, using the default locale of the Java VM.
`java.lang.String` | `toLocalizedString(LibrarySessionInterface session)` Represents this IfsException as a localized string, using the locale of the specified session's Localizer.
`java.lang.String` | `toLocalizedString(Localizer localizer)` Represents this IfsException as a localized string, using the locale of the specified Localizer.
`java.lang.String` | `toString()` Represents this IfsException as a US English string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_ErrorCode

    protected int m_ErrorCode

  Description copied from class: `IfsException`
  The error code.

  (Unpublished)

### m_Parameters

    protected java.lang.Object[] m_Parameters

  Description copied from class: `IfsException`
  The error message parameters.

  (Unpublished)

### m_InfoDescription

    protected java.lang.String m_InfoDescription

  Description copied from class: `IfsException`
  The description (identifer) for the exception information,

  (Unpublished)

### m_Info

    protected java.lang.Object m_Info

  Description copied from class: `IfsException`
  The exception information.

  (Unpublished)

### m_NestedThrowable

    protected java.lang.Throwable m_NestedThrowable

  Description copied from class: `IfsException`
  The Throwable that led to this IfsException.

  (Unpublished)

### m_OriginatingThrowable

    protected java.lang.Throwable m_OriginatingThrowable

  Description copied from class: `IfsException`
  The last Throwable in the chain.

  (Unpublished)

### m_RemoteBacktrace

    protected java.lang.String m_RemoteBacktrace

  Description copied from class: `IfsException`
  If this IfsException was thrown in a different process, the backtrace in that process; null otherwise.

  (Unpublished)

### s_VerboseMessage

    protected static boolean s_VerboseMessage

  Description copied from class: `IfsException`
  Whether `toString` and `toLocalizedString` produce concise or verbose messages.

  Verbose messages include the messages of nested Throwables.

  (Unpublished)

Constructor Detail

### IfsException

    public IfsException(int errorCode,
                        java.lang.Object[] parameters,
                        java.lang.Throwable nestedThrowable,
                        java.lang.String infoDescription,
                        java.lang.Object info)

  Constructs an IfsException.

  Parameters:
    `errorCode` - the error code
    `parameters` - an array of Objects to be substituted into the resource bundle message using using `java.text.MessageFormat` to produce a localized error message
    `nestedThrowable` - the Throwable that led to this IfsException
    `infoDescription` - description of the exception information
    `info` - the exception information
  (Unpublished)

### IfsException

    public IfsException(int errorCode,
                        java.lang.Object[] parameters,
                        java.lang.Throwable nestedThrowable)

  Constructs an IfsException.

  This constructor variant is used when the error message has no included information.

  Parameters:
    `errorCode` - the error code
    `parameters` - an array of Objects to be substituted into the resource bundle message using using `java.text.MessageFormat` to produce a localized error message
    `nestedThrowable` - the Throwable that led to this IfsException
  (Published)

### IfsException

    public IfsException(int errorCode,
                        java.lang.Object[] parameters,
                        java.lang.Throwable nestedThrowable,
                        Traceable object)

  Constructs an IfsException.

  This constructor variant is used when the error message has no included information.

  This variant also issues a trace on the `CHANNEL_EXCEPTION` channel of level `LEVEL_ERROR`.

  Parameters:
    `errorCode` - the error code
    `parameters` - an array of Objects to be substituted into the resource bundle message using using `java.text.MessageFormat` to produce a localized error message
    `nestedThrowable` - the Throwable that led to this IfsException
    `object` - the Traceable associated with the IfsException
  (Unpublished)

### IfsException

    public IfsException(int errorCode,
                        java.lang.Throwable nestedThrowable)

  Constructs an IfsException.

  This constructor variant is used when the error message for the specified error code has no parameters and no included information.

  Parameters:
    `errorCode` - the error code
    `nestedThrowable` - the Throwable that led to this IfsException
  (Published)

### IfsException

    public IfsException(int errorCode,
                        java.lang.Throwable nestedThrowable,
                        Traceable object)

  Constructs an IfsException.

  This constructor variant is used when the error message for the specified error code has no parameters and no included information.

  This variant also issues a trace on the `CHANNEL_EXCEPTION` channel of level `LEVEL_ERROR`.

  Parameters:
    `errorCode` - the error code
    `nestedThrowable` - the Throwable that led to this IfsException
    `object` - the Traceable associated with the IfsException
  (Unpublished)

### IfsException

    public IfsException(int errorCode,
                        java.lang.Object[] parameters)

  Constructs an IfsException.

  This constructor variant is used when the IfsException has no nested Throwable and no included information.

  Parameters:
    `errorCode` - the error code
    `parameters` - an array of Objects to be substituted into the resource bundle message using using `java.text.MessageFormat` to produce a localized error message
  (Published)

### IfsException

    public IfsException(int errorCode,
                        java.lang.Object[] parameters,
                        Traceable object)

  Constructs an IfsException.

  This constructor variant is used when the IfsException has no nested Throwable and no included information.

  This variant also issues a trace on the `CHANNEL_EXCEPTION` channel of level `LEVEL_ERROR`.

  Parameters:
    `errorCode` - the error code
    `parameters` - an array of Objects to be substituted into the resource bundle message using using `java.text.MessageFormat` to produce a localized error message
    `object` - the Traceable associated with the IfsException
  (Unpublished)

### IfsException

    public IfsException(int errorCode)

  Constructs an IfsException.

  This constructor variant is used when the IfsException has no nested Throwable and the error message for the specified error code has no parameters, and no included information.

  Parameters:
    `errorCode` - the error code
  (Published)

### IfsException

    public IfsException(int errorCode,
                        Traceable object)

  Constructs an IfsException.

  This constructor variant is used when the IfsException has no nested Throwable and the error message for the specified error code has no parameters, and no included information.

  This variant also issues a trace on the `CHANNEL_EXCEPTION` channel of level `LEVEL_ERROR`.

  Parameters:
    `errorCode` - the error code
    `object` - the Traceable associated with the IfsException
  (Unpublished)

### IfsException

    public IfsException(int errorCode,
                        java.lang.String infoDescription,
                        java.lang.Object info)

  Constructs an IfsException.

  This constructor variant is used when the IfsException has no nested Throwable and the error message for the specified error code has no parameters.

  Parameters:
    `errorCode` - the error code
    `infoDescription` - description of the exception information
    `info` - the exception information
  (Unpublished)

### IfsException

    public IfsException(int errorCode,
                        java.lang.Object[] parameters,
                        java.lang.String infoDescription,
                        java.lang.Object info)

  Constructs an IfsException.

  This constructor variant is used when the IfsException has no nested Throwable.

  Parameters:
    `errorCode` - the error code
    `parameters` - an array of Objects to be substituted into the resource bundle message using using `java.text.MessageFormat` to produce a localized error message
    `infoDescription` - description of the exception information
    `info` - the exception information
  (Unpublished)

### IfsException

    public IfsException(int errorCode,
                        java.lang.Throwable nestedThrowable,
                        java.lang.String infoDescription,
                        java.lang.Object info)

  Constructs an IfsException.

  This constructor variant is used when the error message for the specified error code has no parameters.

  Parameters:
    `errorCode` - the error code
    `nestedThrowable` - the Throwable that led to this IfsException
    `infoDescription` - description of the exception information
    `info` - the exception information
  (Unpublished)

Method Detail

### getErrorCode

    public final int getErrorCode()

  Description copied from class: `IfsException`
  Gets the error code of this IfsException.

  Returns:
    the error code
  (Published)

### getParameters

    public final java.lang.Object[] getParameters()

  Description copied from class: `IfsException`
  Gets the parameter values for the error message.

  Returns:
    an array of parameter values
  (Published)

### getInfoDescription

    public final java.lang.String getInfoDescription()

  Description copied from class: `IfsException`
  Gets the description of the exception information.

  Returns:
    the error code
  (Unpublished)

### getInfo

    public final java.lang.Object getInfo()

  Description copied from class: `IfsException`
  Gets the exception information.

  Returns:
    the error code
  (Unpublished)

### getNestedThrowable

    public final java.lang.Throwable getNestedThrowable()

  Description copied from class: `IfsException`
  Gets the Throwable that led to this IfsException.

  Returns:
    the nested Throwable, or null if this is the originating exception
  (Published)

### getNestedException

    public final java.lang.Exception getNestedException()

  Deprecated. iFS 9.0 use getNestedThrowable

  Description copied from class: `IfsException`
  Gets the Exception that led to this IfsException.

  Returns:
    the nested Exception, or null if either this is the originating exception or the nested Throwable is not an Exception
  (Unpublished)

### getNestedIfsException

    public final IfsException getNestedIfsException(int errorCode)

  Description copied from class: `IfsException`
  Gets a nested IfsException that matches the specified error code.

  Parameters:
    `errorCode` - the specified error code
  Returns:
    the nested IfsException, or null if the specified error code is not nested below this IfsException
  (Published)

### containsErrorCode

    public final boolean containsErrorCode(int errorCode)

  Description copied from class: `IfsException`
  Gets whether this IfsException or any nested IfsExceptions have the specified error code.

  Parameters:
    `errorCode` - the error code of interest
  Returns:
    whether this IfsException or any nested IfsExceptions have the specified error code
  (Published)

### printStackTrace

    public void printStackTrace()

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the standard error stream, using US English.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  (Published)

### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the specified PrintStream, using US English.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `stream` - the PrintStream
  (Published)

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the specified PrintWriter, using US English.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `writer` - the PrintWriter
  (Published)

### printLocalizedStackTrace

    public void printLocalizedStackTrace()

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the standard error stream, using the default locale of the Java VM.

  The default locale of the Java virtual machine is determined by invoking the `java.util.Locale.getDefault` method.

  (Published)

### printLocalizedStackTrace

    public void printLocalizedStackTrace(java.io.PrintStream stream)

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the specified PrintStream, using the default locale of the Java VM.

  The default locale of the Java virtual machine is determined by invoking the `java.util.Locale.getDefault` method.

  Parameters:
    `stream` - the PrintStream
  (Published)

### printLocalizedStackTrace

    public void printLocalizedStackTrace(java.io.PrintWriter writer)

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the specified PrintWriter, using the default locale of the Java VM.

  The default locale of the Java virtual machine is determined by invoking the `java.util.Locale.getDefault` method.

  Parameters:
    `writer` - the PrintWriter
  (Published)

### printLocalizedStackTrace

    public void printLocalizedStackTrace(LibrarySessionInterface session)

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the standard error stream, using the locale of the specified session's Localizer.

  Parameters:
    `session` - the session
  (Published)

### printLocalizedStackTrace

    public void printLocalizedStackTrace(java.io.PrintStream stream,
                                         LibrarySessionInterface session)

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the specified PrintStream, using the locale of the specified session's Localizer.

  Parameters:
    `stream` - the PrintStream
    `session` - the session
  (Published)

### printLocalizedStackTrace

    public void printLocalizedStackTrace(java.io.PrintWriter writer,
                                         LibrarySessionInterface session)

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the specified PrintWriter, using the locale of the specified session's Localizer.

  Parameters:
    `writer` - the PrintWriter
    `session` - the session
  (Published)

### printLocalizedStackTrace

    public void printLocalizedStackTrace(Localizer localizer)

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the standard error stream, using the locale of the specified Localizer.

  Parameters:
    `localizer` - the Localizer
  (Published)

### printLocalizedStackTrace

    public void printLocalizedStackTrace(java.io.PrintStream stream,
                                         Localizer localizer)

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the specified PrintStream, using the locale of the specified Localizer.

  Parameters:
    `stream` - the PrintStream
    `localizer` - the Localizer
  (Published)

### printLocalizedStackTrace

    public void printLocalizedStackTrace(java.io.PrintWriter writer,
                                         Localizer localizer)

  Description copied from class: `IfsException`
  Prints the stack trace of this IfsException to the specified PrintWriter, using the locale of the specified Localizer.

  Parameters:
    `writer` - the PrintWriter
    `localizer` - the Localizer
  (Published)

### getMessage

    public java.lang.String getMessage()

  Description copied from class: `IfsException`
  Gets the US English description of this IfsException.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the error message
  (Published)

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Description copied from class: `IfsException`
  Gets the description of this IfsException for the default locale of the Java VM.

  The default locale of the Java virtual machine is determined by invoking the `java.util.Locale.getDefault` method.

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`
  Returns:
    the error message
  (Published)

### getLocalizedMessage

    public java.lang.String getLocalizedMessage(LibrarySessionInterface session)

  Description copied from class: `IfsException`
  Gets the description of this IfsException for the locale of the specified session's Localizer.

  Parameters:
    `session` - the session
  Returns:
    the error message
  (Published)

### getLocalizedMessage

    public java.lang.String getLocalizedMessage(Localizer localizer)

  Description copied from class: `IfsException`
  Gets the description of this IfsException for the locale of the specified Localizer.

  Parameters:
    `localizer` - the Localizer
  Returns:
    the error message
  (Published)

### toString

    public java.lang.String toString()

  Description copied from class: `IfsException`
  Represents this IfsException as a US English string.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    a string representation of this IfsException
  (Published)

### toLocalizedString

    public java.lang.String toLocalizedString()

  Description copied from class: `IfsException`
  Represents this IfsException as a localized string, using the default locale of the Java VM.

  The default locale of the Java virtual machine is determined by invoking the `java.util.Locale.getDefault` method.

  Returns:
    a string representation of this IfsException
  (Published)

### toLocalizedString

    public java.lang.String toLocalizedString(LibrarySessionInterface session)

  Description copied from class: `IfsException`
  Represents this IfsException as a localized string, using the locale of the specified session's Localizer.

  Parameters:
    `session` - the session
  Returns:
    a string representation of this IfsException
  (Published)

### toLocalizedString

    public java.lang.String toLocalizedString(Localizer localizer)

  Description copied from class: `IfsException`
  Represents this IfsException as a localized string, using the locale of the specified Localizer.

  Parameters:
    `localizer` - the Localizer
  Returns:
    a string representation of this IfsException
  (Published)

### setVerboseMessage

    public static final void setVerboseMessage(boolean verbose)

  Description copied from class: `IfsException`
  Specifies whether `toString` and `toLocalizedString` produces verbose messages.

  Verbose messages include the messages of nested Throwables.

  Verbose messages are produced by default.

  Parameters:
    `verbose` - whether the messages are verbose
  (Published)

### isVerboseMessage

    public static final boolean isVerboseMessage()

  Description copied from class: `IfsException`
  Gets whether `toString` and `toLocalizedString` produces verbose messages.

  Verbose messages include the messages of nested Throwables.

  Verbose messages are produced by default.

  Returns:
    whether the messages are verbose
  (Published)

### fillInRemoteStackTrace

    public final IfsException fillInRemoteStackTrace()

  Description copied from class: `IfsException`
  Sets the remote backtrace of this IfsException.

  Returns:
    an IfsException with a remote backtrace
  (Unpublished)

### fillInRemoteStackTrace

    public final void fillInRemoteStackTrace(java.lang.String backtrace)

  Description copied from class: `IfsException`
  Fills in the remote backtrace of this IfsException to the specified string.

  Parameters:
    `backtrace` - the backtrace
  (Unpublished)

### ignoreObjectNotFoundException

    public void ignoreObjectNotFoundException()
                                       throws IfsException

  Description copied from class: `IfsException`
  Re-throw the target exception unless it reflects an "object not found" condition.

  Throws:
    `IfsException` - if the target exception is for any condition other than bject not found; re-throws specified exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD